X11-1.6.1.2: A binding to the X11 graphics library

Portability | portable
Stability | provisional
Maintainer | libraries@haskell.org
Safe Haskell | Safe-Inferred

Graphics.X11.Xlib.Types

Description

A collection of type declarations for interfacing with Xlib.

Synopsis

- newtype Display = Display (Ptr Display)
- newtype Screen = Screen (Ptr Screen)
- newtype Visual = Visual (Ptr Visual)
- newtype GC = GC (Ptr GC)
- data GCValues
- data SetWindowAttributes
- data VisualInfo = VisualInfo {
  - visualInfo_visual :: Visual
  - visualInfo_visualID :: VisualID
  - visualInfo_screen :: ScreenNumber
  - visualInfo_depth :: CInt
  - visualInfo_class :: CInt
  - visualInfo_redMask :: CULong
  - visualInfo_greenMask :: CULong
  - visualInfo_blueMask :: CULong
  - visualInfo_colormapSize :: CInt
  - visualInfo_bitsPerRGB :: CInt
  }
- newtype Image = Image (Ptr Image)
- data Point = Point {
  - pt_x :: !Position
  - pt_y :: !Position
  }
- data Rectangle = Rectangle {
  - rect_x :: !Position
  - rect_y :: !Position
  - rect_width :: !Dimension
  - rect_height :: !Dimension
  }
- data Arc = Arc {
  - arc_x :: Position
  - arc_y :: Position
  - arc_width :: Dimension
  - arc_height :: Dimension
  - arc_angle1 :: Angle
  - arc_angle2 :: Angle
  }
- data Segment = Segment {
  - seg_x1 :: Position
  - seg_y1 :: Position
  - seg_x2 :: Position
  - seg_y2 :: Position
  }
- data Color = Color {
  - color_pixel :: Pixel
  - color_red :: Word16
  - color_green :: Word16
  - color_blue :: Word16
  - color_flags :: Word8
  }
- type Pixel = Word32
- type Position = Int32
- type Dimension = Word32
- type Angle = CInt
- type ScreenNumber = Word32
- type Buffer = CInt

# Documentation

newtype Display

pointer to an X11 `Display` structure

Constructors

Display (Ptr Display) |

Instances

Eq Display |
Data Display |
Ord Display |
Show Display |
Typeable Display |

newtype Screen

pointer to an X11 `Screen` structure

Constructors

Screen (Ptr Screen) |

Instances

Eq Screen |
Data Screen |
Ord Screen |
Show Screen |
Typeable Screen |

newtype Visual

pointer to an X11 `Visual` structure

Constructors

Visual (Ptr Visual) |

Instances

Eq Visual |
Data Visual |
Ord Visual |
Show Visual |
Typeable Visual |

newtype GC

pointer to an X11 `GC` structure

Constructors

GC (Ptr GC) |

Instances

Eq GC |
Data GC |
Ord GC |
Show GC |
Typeable GC |

data GCValues

pointer to an X11 `XGCValues` structure

Instances

Eq GCValues |
Data GCValues |
Ord GCValues |
Show GCValues |
Typeable GCValues |

data SetWindowAttributes

pointer to an X11 `XSetWindowAttributes` structure

Instances

Eq SetWindowAttributes |
Data SetWindowAttributes |
Ord SetWindowAttributes |
Show SetWindowAttributes |
Typeable SetWindowAttributes |

data VisualInfo

counterpart of an X11 `XVisualInfo` structure

Constructors

VisualInfo |
Fields visualInfo_visual :: Visual visualInfo_visualID :: VisualID visualInfo_screen :: ScreenNumber visualInfo_depth :: CInt visualInfo_class :: CInt visualInfo_redMask :: CULong visualInfo_greenMask :: CULong visualInfo_blueMask :: CULong visualInfo_colormapSize :: CInt visualInfo_bitsPerRGB :: CInt

Instances

Eq VisualInfo |
Show VisualInfo |
Typeable VisualInfo |
Storable VisualInfo |
Default VisualInfo |

newtype Image

pointer to an X11 `XImage` structure

Constructors

Image (Ptr Image) |

Instances

Eq Image |
Data Image |
Ord Image |
Show Image |
Typeable Image |

data Point

counterpart of an X11 `XPoint` structure

Constructors

Point |
Fields pt_x :: !Position pt_y :: !Position

Instances

Eq Point |
Data Point |
Show Point |
Typeable Point |
Storable Point |

data Rectangle

counterpart of an X11 `XRectangle` structure

Constructors

Rectangle |
Fields rect_x :: !Position rect_y :: !Position rect_width :: !Dimension rect_height :: !Dimension

Instances

Eq Rectangle |
Data Rectangle |
Read Rectangle |
Show Rectangle |
Typeable Rectangle |
Storable Rectangle |

data Arc

counterpart of an X11 `XArc` structure

Constructors

Arc |
Fields arc_x :: Position arc_y :: Position arc_width :: Dimension arc_height :: Dimension arc_angle1 :: Angle arc_angle2 :: Angle

Instances

Eq Arc |
Show Arc |
Typeable Arc |
Storable Arc |

data Segment

counterpart of an X11 `XSegment` structure

Constructors

Segment |
Fields seg_x1 :: Position seg_y1 :: Position seg_x2 :: Position seg_y2 :: Position

Instances

Eq Segment |
Data Segment |
Show Segment |
Typeable Segment |
Storable Segment |

data Color

counterpart of an X11 `XColor` structure

Constructors

Color |
Fields color_pixel :: Pixel color_red :: Word16 color_green :: Word16 color_blue :: Word16 color_flags :: Word8

Instances

Eq Color |
Data Color |
Show Color |
Typeable Color |
Storable Color |

type Pixel = Word32

type Position = Int32

type Dimension = Word32

type Angle = CInt

type ScreenNumber = Word32

type Buffer = CInt